Browse Source

Sync release-tools

In order to fix ResolutionImpossible on tox invocation.

https://github.com/openstack-charmers/release-tools/issues/151
https://github.com/openstack-charmers/release-tools/pull/152

Change-Id: Ia525250e139ea0fd86cc0f19919a7739eda1cb09
changes/25/801825/1
Aurelien Lourot 2 months ago
parent
commit
6a22df54a7
  1. 2
      requirements.txt
  2. 8
      test-requirements.txt
  3. 4
      tox.ini

2
requirements.txt

@ -7,7 +7,7 @@
# requirements. They are intertwined. Also, Zaza itself should specify
# all of its own requirements and if it doesn't, fix it there.
#
pbr>=1.8.0,<1.9.0
pbr==5.6.0
simplejson>=2.2.0
netifaces>=0.10.4

8
test-requirements.txt

@ -8,11 +8,6 @@
# all of its own requirements and if it doesn't, fix it there.
#
setuptools<50.0.0 # https://github.com/pypa/setuptools/commit/04e3df22df840c6bb244e9b27bc56750c44b7c85
charm-tools>=2.4.4
# Workaround until https://github.com/juju/charm-tools/pull/589 gets
# published
keyring<21
requests>=2.18.4
@ -21,7 +16,6 @@ requests>=2.18.4
mock>=1.2,<4.0.0; python_version < '3.6'
mock>=1.2; python_version >= '3.6'
flake8>=2.2.4
stestr>=2.2.0
# Dependency of stestr. Workaround for
@ -42,7 +36,7 @@ oslo.utils<=3.41.0;python_version<'3.6'
coverage>=4.5.2
pyudev # for ceph-* charm unit tests (need to fix the ceph-* charm unit tests/mocking)
git+https://github.com/openstack-charmers/zaza.git#egg=zaza;python_version>='3.0'
git+https://github.com/openstack-charmers/zaza.git#egg=zaza
git+https://github.com/openstack-charmers/zaza-openstack-tests.git#egg=zaza.openstack
# Needed for charm-glance:

4
tox.ini

@ -65,8 +65,8 @@ deps = -r{toxinidir}/requirements.txt
[testenv:pep8]
basepython = python3
deps = -r{toxinidir}/requirements.txt
-r{toxinidir}/test-requirements.txt
deps = flake8==3.9.2
charm-tools==2.8.3
commands = flake8 {posargs} hooks unit_tests tests actions lib files
charm-proof

Loading…
Cancel
Save